tbb::internal::fgt_internal_input_alias_helper< PortsTuple, N > Struct Template Reference

`#include <_flow_graph_trace_impl.h>`

Collaboration diagram for tbb::internal::fgt_internal_input_alias_helper< PortsTuple, N >:

## Static Public Member Functions

static void | alias_port (void *, PortsTuple &)

## Detailed Description

### template<typename PortsTuple, int N>
struct tbb::internal::fgt_internal_input_alias_helper< PortsTuple, N >

Definition at line 350 of file _flow_graph_trace_impl.h.

## Member Function Documentation

## alias_port()

template<typename PortsTuple , int N>

static void tbb::internal::fgt_internal_input_alias_helper< PortsTuple, N >::alias_port | ( | void * | ,
|  | PortsTuple & |
| ) |  |

inline static

Definition at line 351 of file _flow_graph_trace_impl.h.

{ }

Referenced by tbb::flow::interface11::composite_node< tbb::flow::tuple< InputTypes... >, tbb::flow::tuple<> >::set_external_ports(), and tbb::flow::interface11::composite_node< tbb::flow::tuple< InputTypes... >, tbb::flow::tuple< OutputTypes... > >::set_external_ports().

Here is the caller graph for this function:

The documentation for this struct was generated from the following file:

- _flow_graph_trace_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.